<?php

declare(strict_types=1);

namespace Drupal\commerce_coinspaid\Service;

/**
 * Class DebugService
 */
class DebugService
{
    private static bool $isEnabled = false;

  /**
   * Enable debug logger
   *
   * @param bool $is_enabled
   *
   * @return void
   */
    public static function setEnabled(bool $is_enabled): void
    {
        self::$isEnabled = $is_enabled;
    }

  /**
   * Log data
   *
   * @param $data
   * @param string $position
   *
   * @return void
   */
    public static function log($data, string $position): void
    {
        if (self::$isEnabled) {
            if (is_array($data)) {
                $data = (string) json_encode($data);
            }
            \Drupal::logger('commerce_coinspaid')->debug($position . ': ' . $data);
        }
    }
}
